/*
 *  Copyright (C) 2004, 2005, 2006 Savoir-Faire Linux inc.
 *  Author: Yan Morin <yan.morin@savoirfairelinux.com>
 *  Author : Laurielle Lea <laurielle.lea@savoirfairelinux.com>
 *                                                                              
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *                                                                              
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *                                                                              
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "eventthread.h"
#include "voiplink.h"


EventThread::EventThread (VoIPLink* link) : Thread (),  _linkthread(link), stopIt(false)
{
	setCancel(cancelDeferred);
}

EventThread::~EventThread (void) 
{
  terminate();
}

/**
 * Reimplementation of run() 
 */
void
EventThread::run (void) 
{
  //stopIt = false;
  while(!testCancel()) {
    _linkthread->getEvent();
  }
}

void
EventThread::stop( void )
{
  stopIt = true; 
}

void
EventThread::startLoop( void )
{
  stopIt = false;
  //start();
}

bool
EventThread::isStopped( void )
{
  return stopIt;
}
